Package org.eclipse.graphiti.pattern.mapping

## Class LinkCreationInfo

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.LinkCreationInfo

All Implemented Interfaces:
  `ILinkCreationInfo`

    public class LinkCreationInfo
    extends java.lang.Object
    implements ILinkCreationInfo

The Class LinkCreationInfo.

### Constructor Summary

Constructors
`LinkCreationInfo​(java.lang.Object businessObject)` Creates a new `LinkCreationInfo`.
`LinkCreationInfo​(java.lang.Object[] businessObjects)` Creates a new `LinkCreationInfo`.
`LinkCreationInfo​(java.lang.Object[] businessObjects, java.lang.String property)` Creates a new `LinkCreationInfo`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getBusinessObjects()` Gets the business objects.
`java.lang.String` `getProperty()` Gets the property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinkCreationInfo

    public LinkCreationInfo​(java.lang.Object businessObject)

Creates a new `LinkCreationInfo`.

Parameters:
  `businessObject` - the business object

#### LinkCreationInfo

    public LinkCreationInfo​(java.lang.Object[] businessObjects)

Creates a new `LinkCreationInfo`.

Parameters:
  `businessObjects` - the business objects

#### LinkCreationInfo

    public LinkCreationInfo​(java.lang.Object[] businessObjects,
                            java.lang.String property)

Creates a new `LinkCreationInfo`.

Parameters:
  `businessObjects` - the business objects
  `property` - the property

### Method Detail

#### getBusinessObjects

    public java.lang.Object[] getBusinessObjects()

Description copied from interface: `ILinkCreationInfo`
Gets the business objects.

Specified by:
  `getBusinessObjects` in interface `ILinkCreationInfo`
Returns:
  list of business objects which will connected with a pictogram element

#### getProperty

    public java.lang.String getProperty()

Description copied from interface: `ILinkCreationInfo`
Gets the property.

Specified by:
  `getProperty` in interface `ILinkCreationInfo`
Returns:
  a property which will be used as link property